package Html_Engine;
import java.util.*;

public class TableRow extends Control {

	//List of elements to go in the row (cells)
	private ArrayList objCells;

	//Pre: none
	//Post:  TableRow is initialized
	public TableRow(){
		objCells = new ArrayList();
	}
	
	//Pre:  inCell is a initialized TableCell
	//Post:  inCell is added to the Row
	public void addCell(TableCell inCell){
		objCells.add(inCell);
	}
	
	//Pre:  none
	//Post:  returns the string equivalent of the TableRow
	public String toString() {
		String row = "<tr " + this.getStandardAttributes() + " > ";
		
		objCells.trimToSize();
		
		for(int i = 0; i < objCells.size(); i++){
			row = row + objCells.get(i).toString();
		}
		
		row = row + "</tr>\n";
		return row;
	}

}
