/*
 * Created on Oct 12, 2004
 * By Evan Kaiser, Don Frehulfer, and Matt Berntsen
 * CS 479 - Capstone Design
 */

import java.util.*;

public class RunCrawler {
    public static void main(String args[]){
	Semaphore s = new Semaphore(1);
	PageContentList list = new PageContentList(s);
	Crawler c = new Crawler(list);
	Parser p = new Parser(list);
	Timer ct = new Timer();
	Timer pt = new Timer();

	//schedule TimerTasks to execute 24 hours after last completion
	//24 hours == 86,400,000 millis
	ct.schedule(c, 5000, 86400000);
	pt.schedule(p, 10000, 86400000);
	//p.start();
    }
}
