package Html_Engine;

public class Label extends Control {

	//The text of the label
    private String strText;
    
	//Pre:  inText is a non null string
	//Post:  Label is initialized with inText
    public Label(String inText){
        strText = inText;
    }
    
	//Pre:  none
	//Post:  an empty label is created
    public Label(){
        strText = "";
    }
    
	//Pre:  inText is a non-null string
	//Post:  strText is set to inText
    public void setText(String inText){
        strText = inText;
    }
    
	//Pre:  none
	//Post:  returns the string equivalent of the Label
    public String toString() 
	{
        return "<span " + getStandardAttributes() + ">" + strText + "</span>";
    }

}
