//Borrowed with permission from X. Meng, Bucknell U., CSCI 315

public class Semaphore
{
    public Semaphore() {
	value = 0;
    }

    public Semaphore(int v) {
	value = v;
    }

    public synchronized void acquire() {
	while (value <= 0) {
	    try {
		wait();
	    }
	    catch (InterruptedException e) {System.out.println(e);}
	}
	value = value - 1;
    }

    public synchronized void release() {
	value = value + 1;

	notify();
    }

    private int value;

}
